Subject: [hiprg] Fwd: New Version Notification for draft-hummen-hip-middle-puzzle-00.txt

From: René Hummen <[email-masked]>
Date: Tue, 10 Jul 2012 09:59:43 +0200

Hi all,

I just submitted the new I-D below. It tackles issues with the HIP puzzle mechanism that arise from the high resource diversity when resource-constrained devices communicate with today's desktop/server-class devices. Your comments are very welcome.

BR
René

Begin forwarded message:
> From: [email-masked]
> Subject: New Version Notification for draft-hummen-hip-middle-puzzle-00.txt
> Date: 9. Juli 2012 17:33:05 MESZ
> To: [email-masked]
> Cc: [email-masked]
> 
> 
> A new version of I-D, draft-hummen-hip-middle-puzzle-00.txt
> has been successfully submitted by Rene Hummen and posted to the
> IETF repository.
> 
> Filename:	 draft-hummen-hip-middle-puzzle
> Revision:	 00
> Title:		 HIP Middlebox Puzzle Offloading and End-host Notification
> Creation date:	 2012-07-09
> WG ID:		 Individual Submission
> Number of pages: 13
> URL:             http://www.ietf.org/internet-drafts/draft-hummen-hip-middle-puzzle-00.txt
> Status:          http://datatracker.ietf.org/doc/draft-hummen-hip-middle-puzzle
> Htmlized:        http://tools.ietf.org/html/draft-hummen-hip-middle-puzzle-00
> 
> 
> Abstract:
>   The Host Identity Protocol [RFC5201] is a secure signaling protocol
>   with a cryptographic namespace.  It provides the communicating peers
>   with a cryptographic puzzle mechanism to protect against Denial of
>   Service (DoS) attacks targeting its computation and memory overhead.
>   This document specifies an extension that enables middleboxes to
>   assist in the choice of the puzzle difficulty as well as in solving
>   the puzzle on behalf of the host.
> 
> 
> 
> 
> 
> The IETF Secretariat

--
Dipl.-Inform. Rene Hummen, Ph.D. Student
Chair of Communication and Distributed Systems
RWTH Aachen University, Germany
tel: +49 241 80 21429
web: http://www.comsys.rwth-aachen.de/team/rene-hummen/